## GestureWiimote
#
#The original data include 10 subjects, each perform 10 gestures 10 times. The gesture acquisition device is a Nintendo Wiimote remote controller with built-in three-axis accelerometer. Time series are of different lengths. There is no missing values.
#
#The gestures are (class label. original label - English translation):
#1. poteg – pick-up
#2. shake – shake
#3. desno – one move to the right
#4. levo – one move to the left
#5. gor – one move to up
#6. dol – one move to down
#7. kroglevo – one left circle
#8. krogdesno – one right circle
#9. suneknot – one move toward the screen
#10. sunekven – one move away from the screen
#
#We make five datasets out of these data.
#
### AllGestureWiimoteX
#
#Data is acceleration in x-axis dimension. Each subject performs a set of gestures multiple times. Classes are based on gestures (see class labels above).
#
#- Train size: 300
#
#- Test size: 700
#
#- Missing value: No
#
#- Number of classses: 10
#
#- Time series length: Vary
#
#Each time series is padded with NaN to the length of the longest time series in the dataset.
#
### AllGestureWiimoteY
#
#Data is acceleration in y-axis dimension. Each subject performs a set of gestures multiple times. Classes are based on gestures (see class labels above).
#
#- Train size: 300
#
#- Test size: 700
#
#- Missing value: No
#
#- Number of classses: 10
#
#- Time series length: Vary
#
#Each time series is padded with NaN to the length of the longest time series in the dataset.
#
### AllGestureWiimoteZ
#
#Data is acceleration in z-axis dimension. Classes are based on gestures (see class labels above).
#
#- Train size: 300
#
#- Test size: 700
#
#- Missing value: No
#
#- Number of classses: 10
#
#- Time series length: Vary
#
#Each time series is padded with NaN to the length of the longest time series in the dataset.
#
### PickupGestureWiimoteZ
#
#Data is acceleration in z-axis dimension. Each subject performs "pick-up" gesture multiple times. Classes are based on subject.
#
#- Train size: 50
#
#- Test size: 50
#
#- Missing value: No
#
#- Number of classses: 10
#
#- Time series length: Vary
#
#Each time series is padded with NaN to the length of the longest time series in the dataset.
#
### ShakeGestureWiimoteZ
#
#Data is acceleration in z-axis dimension. Each subject performs "shake" gesture multiple times. Classes are based on subject.
#
#- Train size: 50
#
#- Test size: 50
#
#- Missing value: No
#
#- Number of classses: 10
#
#- Time series length: Vary
#
#There is nothing to infer from the order of examples in the train and test set.
#
#Each time series is padded with NaN to the length of the longest time series in the dataset.
#
#Data are shuffled and randomly sampled so that instances across datasets do not sychronized by dimension or subject.
#
#Data created by Guna Jože et al. (see [1]). Data edited by Hoang Anh Dau.
#
#[1] Guna, Jože, Iztok Humar, and Matevž Pogačnik. "Intuitive gesture based user identification system." Telecommunications and Signal Processing (TSP), 2012 35th International Conference on. IEEE, 2012.
#
@problemName PickupGestureWiimoteZ
@timeStamps false
@missing false
@univariate true
@equalLength false
@classLabel true 1 2 3 4 5 6 7 8 9 10
@data
0.885,0.885,0.885,0.885,0.885,0.885,0.885,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.808,0.808,0.846,0.846,0.846,0.846,0.808,0.808,0.808,0.808,0.808,0.808,0.769,0.808,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.769,0.808,0.808,0.769,0.769,0.808,0.769,0.808,0.769,0.769,0.769,0.769,0.808,0.808,0.808,0.808,0.846,0.769,0.808,0.885,0.885,0.923,0.923,0.962,1.0,1.038,1.038,1.077,1.077,1.038,1.038,1.038,1.038,1.038,1.115,1.192,1.192,1.192,1.192,1.154,1.154,1.077,1.0,1.0,0.962,0.885,0.808,0.538,0.846,0.846,0.769,0.769,0.846,0.808,0.692,0.692,0.615,0.5,0.615,0.615,0.615,0.731,0.731,0.5,0.808,0.808,0.538,0.808,0.808,0.731,0.731,0.692,0.538,0.538,0.654,0.769,0.769,0.808,0.808,0.808,0.769,0.769,0.769,0.769,0.731,0.769,0.808,0.808,0.846,0.885,0.808,0.808,0.692,0.692,0.654,0.692,0.692,0.731,0.808,0.846,0.846,0.885,0.846,0.846,0.846,0.808,0.846,0.962,1.077,1.192,1.192,1.231,1.231,1.269,1.269,1.269,1.269,1.192,1.423,2.077,2.077,1.846,1.808,1.692,1.462,1.269,1.269,1.0,0.846,0.731,0.654,0.654,0.692,0.808,0.923,0.962,1.0,1.0,1.077,1.154,1.154,1.154,1.154,1.077,1.038,1.0,0.962,0.962,0.962,0.923,0.923,0.923,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.038,1.0,0.962,0.962,1.0,1.038,1.038,1.077,1.077,1.038,1.0,1.0,0.962,0.962,1.0,0.962,0.923,0.923,0.923,0.923,0.962,1.0,1.0,1.0,1.0:1
1.0,1.0,1.0,1.0,1.0,0.962,1.0,0.962,1.0,1.0,1.0,1.038,1.0,0.962,0.962,0.962,1.0,1.0,1.0,0.923,0.923,0.923,1.0,1.038,1.038,1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.038,1.038,1.0,1.0,1.0,1.0,1.038,1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.038,1.0,1.0,0.923,0.962,1.038,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.038,0.962,0.962,1.231,1.5,1.654,1.654,1.538,1.538,1.462,1.462,1.423,1.385,1.423,1.385,1.385,1.385,1.423,1.346,1.231,1.115,1.115,1.0,0.923,0.846,0.846,0.846,0.769,0.769,0.615,0.462,0.385,0.346,0.269,0.269,0.269,0.231,0.269,0.269,0.269,0.269,0.192,0.154,0.269,0.308,0.308,0.308,0.269,0.308,0.346,0.423,0.423,0.423,0.5,0.538,0.615,0.692,0.692,0.769,0.769,0.808,0.846,0.846,0.846,0.846,0.962,0.962,1.115,1.269,1.423,1.462,1.538,1.692,1.692,1.692,1.692,1.731,1.692,1.615,1.615,1.5,1.615,1.808,2.0,1.615,1.615,1.385,1.308,1.192,1.077,1.077,0.962,0.885,0.923,0.923,0.923,0.923,0.923,0.962,0.962,1.038,1.115,1.115,1.115,1.115,1.038,0.962,0.962,0.923,0.923,0.923,0.923,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.038,1.038,1.038,1.038,1.038,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962:1
1.038,1.0,1.0,0.962,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.038,1.038,1.038,1.0,0.962,0.962,0.962,1.0,1.0,1.038,1.0,1.0,1.038,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.038,1.038,1.038,1.0,1.0,1.0,1.0,1.0,1.0,0.923,0.962,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.846,0.846,1.269,1.192,1.385,1.462,1.385,1.385,1.346,1.346,1.346,1.385,1.346,1.346,1.269,1.115,1.115,1.192,1.269,1.269,1.269,1.192,1.154,1.115,1.077,1.077,1.077,1.038,1.077,1.192,1.154,1.115,0.962,0.962,0.962,0.923,0.846,0.692,0.577,0.577,0.615,0.692,0.769,0.808,0.846,0.846,0.846,0.769,0.692,0.692,0.615,0.538,0.538,0.5,0.5,0.5,0.462,0.462,0.423,0.385,0.346,0.346,0.269,0.269,0.269,0.385,0.462,0.385,0.269,0.231,0.231,0.269,0.308,0.423,0.654,0.769,0.731,0.731,0.654,0.692,0.846,0.846,1.038,1.192,1.308,1.231,1.154,1.115,1.115,1.192,1.346,1.346,1.346,1.308,1.308,1.308,1.231,1.154,1.154,1.269,1.346,1.346,1.231,1.154,1.077,1.077,1.154,1.192,1.192,1.192,1.346,1.615,1.769,1.731,1.538,1.346,1.346,1.115,1.0,0.923,0.923,0.962,0.962,0.885,0.885,0.885,0.885,0.923,0.962,0.962,1.038,1.115,1.115,1.038,1.0,0.962,0.962,0.962,0.923,0.923,0.962,1.0,0.962,0.962,1.0,1.0,1.0,1.077,1.115,1.115,1.115,1.0,0.923,0.846,0.846,0.885,0.885,0.962,1.0:1
0.923,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.885,0.885,1.192,1.5,1.692,1.692,1.577,1.577,1.423,1.346,1.231,1.269,1.269,1.231,1.231,1.385,1.5,1.423,1.231,1.231,0.962,0.846,0.885,0.923,0.808,0.654,0.654,0.538,0.538,0.5,0.462,0.385,0.385,0.346,0.269,0.269,0.192,0.154,0.231,0.269,0.269,0.269,0.269,0.346,0.346,0.423,0.462,0.462,0.577,0.692,0.769,0.769,0.846,0.846,0.923,0.962,0.885,0.885,0.962,1.115,1.115,1.231,1.192,1.192,1.231,1.231,1.269,1.269,1.192,1.154,1.154,1.231,1.231,1.385,1.423,1.346,1.308,1.308,1.269,1.269,1.269,1.269,1.154,1.115,1.077,1.038,0.923,0.923,0.885,0.923,0.962,1.077,1.192,1.269,1.269,1.308,1.346,1.346,1.269,1.154,1.038,1.038,1.0,0.962,0.962,0.923,0.923,0.962,1.0,1.038,1.038,1.038,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.038,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,0.962,0.962,0.962,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.038,1.038,1.0,1.0,0.962,0.962,0.962,1.0,1.0,0.962,0.962:1
1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.038,1.038,1.038,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.038,1.0,1.038,0.962,0.962,0.923,0.962,0.923,1.0,0.962,0.962,1.038,1.038,1.077,1.038,1.038,1.192,1.192,1.385,1.423,1.462,1.462,1.462,1.423,1.385,1.346,1.346,1.269,1.231,1.231,1.308,1.385,1.423,1.346,1.192,1.192,1.0,0.962,0.962,0.962,0.885,0.885,0.808,0.769,0.654,0.577,0.577,0.538,0.462,0.385,0.385,0.385,0.423,0.5,0.5,0.385,0.231,0.192,0.192,0.231,0.308,0.308,0.269,0.269,0.308,0.308,0.423,0.462,0.462,0.462,0.462,0.5,0.538,0.615,0.654,0.692,0.692,0.654,0.615,0.615,0.769,1.038,1.038,1.269,1.423,1.462,1.385,1.346,1.346,1.385,1.538,1.615,1.615,1.577,1.577,1.538,1.423,1.346,1.385,1.462,1.462,1.538,1.577,1.615,1.654,1.538,1.538,1.308,1.077,0.962,0.885,0.769,0.769,0.654,0.654,0.692,0.692,0.692,0.769,0.962,1.115,1.154,1.192,1.192,1.192,1.154,1.115,1.077,1.038,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.038,1.038,1.038,1.038,1.038,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,0.962,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.038,1.038,1.0,0.962,0.962,0.962,0.923,0.962,0.962,0.962:1
1.269,1.538,1.538,0.962,0.846,0.769,0.577,0.692,0.692,0.846,0.962,1.115,1.0,1.0,1.077,1.077,1.0,1.0,0.923,1.0,0.846,0.846,0.962,0.923,0.962,0.923,0.923,0.923,0.885,0.885,0.885,0.885,0.808,0.808,0.808,0.846,0.808,0.769,0.731,0.654,0.654,0.615,0.538,0.538,0.5,0.5,0.0,0.0,0.269,0.154,0.154,0.231,0.154,0.038,0.038,0.192,0.615,1.231,1.231,0.462,0.462,0.538,0.654,0.808,1.192,1.231,1.038,1.038,1.269,1.308,1.269,1.269,1.192,1.0,1.0,0.885,0.885,0.808,0.654,0.5,0.346,0.346,0.269,0.038,-0.154,-0.192,-0.154,-0.154,-0.115,0.0,0.0,-0.115,-0.154,-0.192,-0.192,-0.154,-0.154,-0.231,-0.231,-0.192,-0.115,-0.115,0.0,0.154,0.269,0.346,0.423,0.423,0.423,0.423,0.5,0.538,0.615,0.692,0.692,0.769,0.769,0.846,0.846,0.885,0.885,0.962,1.0,1.115,1.231,1.308,1.308,1.308,1.192,1.077,1.038,1.346,1.808,2.231,2.231,2.5,2.615,2.462,2.269,2.0,1.769,1.769,1.462,1.192,1.077,0.962,0.923,0.923,0.962,0.962,1.0,1.038,1.038,1.038,1.0,1.0,0.923,0.923,0.923,0.885,0.846,0.846,0.885,0.885,0.962,1.0,1.077,1.154,1.154,1.231,1.269,1.192,1.077:2
0.885,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.923,0.962,0.962,0.923,0.923,1.0,0.923,0.923,0.923,0.962,0.885,0.962,0.885,0.885,0.885,0.846,0.769,0.846,0.808,0.808,0.769,0.808,0.769,0.692,0.654,0.654,0.654,0.615,0.538,0.615,0.615,0.423,0.423,0.346,0.231,0.423,0.385,0.846,0.846,0.846,1.0,1.038,1.0,0.962,1.077,1.077,1.231,1.385,1.5,1.5,1.346,1.154,1.154,1.0,0.885,0.808,0.769,0.808,0.846,0.846,0.731,0.615,0.692,0.731,0.692,0.692,0.615,0.423,0.346,0.423,0.5,0.462,0.462,0.346,0.346,0.269,0.192,0.192,0.192,0.154,0.154,0.154,0.192,0.192,0.308,0.423,0.538,0.615,0.615,0.692,0.692,0.692,0.731,0.731,0.692,0.615,0.654,0.654,0.692,0.808,0.923,0.962,1.0,1.0,1.077,1.115,1.115,1.038,1.115,1.346,1.654,1.654,2.038,2.385,2.5,2.462,2.269,2.269,1.962,1.577,1.269,0.962,0.769,0.692,0.692,0.654,0.654,0.654,0.692,0.692,0.692,0.692,0.692,0.654,0.654,0.692,0.731,0.808,0.885,0.962,0.962,1.038,1.077,1.154,1.192:2
0.923,1.077,1.038,1.038,0.846,0.885,0.962,0.962,0.962,0.923,0.923,0.962,1.0,1.0,1.0,1.0,1.0,0.923,0.962,0.846,1.038,0.769,0.846,0.846,0.846,0.885,0.885,0.846,0.846,0.769,0.808,0.769,0.692,0.654,0.654,0.654,0.846,0.654,0.423,0.385,0.577,0.654,0.654,0.808,1.154,1.115,1.077,1.192,1.269,1.192,1.231,1.231,1.192,1.192,1.269,1.192,1.0,0.962,0.962,0.962,0.923,0.808,0.538,0.423,0.423,0.423,0.5,0.577,0.462,0.423,0.5,0.5,0.462,0.423,0.423,0.462,0.462,0.462,0.462,0.462,0.462,0.5,0.538,0.538,0.538,0.538,0.538,0.5,0.5,0.423,0.423,0.423,0.385,0.423,0.462,0.5,0.577,0.615,0.654,0.654,0.654,0.654,0.615,0.615,0.654,0.654,0.731,0.769,0.808,0.808,0.808,0.769,0.769,0.769,0.808,0.808,0.808,0.808,0.808,0.923,1.115,1.462,1.885,1.885,2.269,2.462,2.423,2.231,1.923,1.615,1.308,1.115,1.115,1.0,0.962,0.962,0.962,0.962,0.923,0.885,0.846,0.846,0.846,0.769,0.769,0.769,0.808,0.808,0.846,0.885,0.962,0.962,1.0,1.0,1.038,1.038,1.038,1.077,1.077:2
0.885,0.885,1.5,0.692,0.923,0.846,1.0,0.962,0.962,0.885,1.0,0.962,0.962,1.0,1.0,1.0,1.0,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.885,0.923,0.923,0.885,0.885,0.923,0.885,0.808,0.846,0.846,0.769,0.769,0.769,0.808,0.846,0.846,0.885,0.538,0.5,0.5,0.462,0.462,0.577,0.577,0.692,0.769,0.808,0.808,1.423,1.423,1.0,0.769,0.962,1.115,1.231,1.231,1.231,1.154,1.154,1.115,1.231,1.038,0.923,0.808,0.731,0.731,0.692,0.692,0.692,0.615,0.615,0.615,0.615,0.577,0.538,0.538,0.538,0.538,0.538,0.538,0.5,0.538,0.538,0.538,0.538,0.615,0.615,0.654,0.654,0.615,0.615,0.615,0.615,0.577,0.615,0.615,0.615,0.654,0.692,0.769,0.808,0.846,0.846,0.885,0.885,0.846,0.769,0.692,0.692,0.692,0.692,0.769,0.846,0.923,0.923,0.962,0.962,0.962,0.923,0.923,0.923,0.885,0.808,0.692,0.654,0.885,1.308,1.308,1.731,1.962,2.0,1.923,1.731,1.731,1.538,1.308,1.077,0.962,0.923,0.962,1.0,1.0,1.038,1.038,1.038,1.038,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.923,0.962,0.962,1.0,1.0,1.0,1.0,1.038,1.077,1.154,1.192,1.192,1.154,1.038:2
0.962,0.962,1.0,1.038,1.0,0.962,0.923,0.962,0.962,0.962,0.962,1.0,0.962,0.923,0.923,1.0,1.0,1.0,0.962,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.923,0.885,0.885,0.885,0.885,0.923,0.923,0.923,0.923,0.962,0.923,0.923,0.885,0.923,0.885,0.846,0.846,0.846,0.808,0.808,0.769,0.769,0.769,0.731,0.692,0.654,0.654,0.615,0.769,0.769,0.615,0.808,0.577,0.577,0.769,0.769,0.846,0.846,1.077,1.192,0.962,0.962,0.769,0.731,0.769,0.769,0.885,0.885,1.0,1.115,1.154,1.385,1.808,1.808,1.192,1.385,1.077,1.231,1.308,1.462,1.462,1.5,1.385,1.192,1.077,1.077,0.846,0.692,0.615,0.538,0.423,0.423,0.308,0.346,0.346,0.462,0.462,0.423,0.423,0.231,0.0,-0.077,-0.038,0.077,0.077,0.192,0.269,0.308,0.577,0.462,0.462,0.346,0.231,0.115,0.115,0.154,0.154,0.269,0.154,0.154,-0.308,-0.308,-0.308,-0.154,0.192,0.538,0.769,0.808,0.769,0.769,0.769,0.923,1.154,1.615,2.115,2.115,2.462,2.538,2.462,2.308,2.192,2.192,2.192,2.269,2.269,2.269,2.115,1.846,1.846,1.577,1.346,1.192,1.115,1.077,1.077,1.077,1.077,1.077,1.077,1.038,1.038,1.0,0.962,0.885,0.846,0.846,0.846,0.808,0.808,0.769,0.962,0.962,1.038,1.0,0.923:2
1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.077,1.154,1.346,1.346,1.538,1.615,1.615,1.654,1.615,1.615,1.538,1.462,1.346,1.346,1.346,1.346,1.423,1.385,1.269,1.077,0.885,0.808,0.808,0.692,0.692,0.731,0.769,0.769,0.692,0.692,0.615,0.577,0.615,0.615,0.615,0.577,0.577,0.538,0.577,0.577,0.615,0.654,0.615,0.615,0.615,0.577,0.577,0.538,0.538,0.5,0.5,0.538,0.615,0.654,0.654,0.654,0.654,0.692,0.692,0.731,0.692,0.692,0.692,0.692,0.692,0.692,0.654,0.654,0.615,0.615,0.615,0.615,0.615,0.692,0.769,0.808,0.808,0.808,0.769,0.692,0.654:3
1.077,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.038,1.0,1.0,1.0,1.0,1.0,1.038,1.038,1.038,1.038,1.038,1.077,1.115,1.038,1.0,1.038,1.038,1.077,1.308,1.731,1.808,1.808,1.808,1.769,1.654,1.577,1.615,1.577,1.538,1.538,1.538,1.577,1.5,1.385,1.231,1.038,1.038,0.846,0.769,0.769,0.731,0.615,0.615,0.577,0.615,0.5,0.462,0.462,0.423,0.423,0.346,0.269,0.192,0.154,0.154,0.154,0.192,0.192,0.192,0.192,0.231,0.346,0.346,0.423,0.462,0.5,0.577,0.615,0.692,0.692,0.808,0.846,0.885,0.962,0.962,1.038:3
1.038,1.038,1.192,1.192,1.346,1.346,1.346,1.346,1.385,1.269,1.269,1.115,1.0,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.923,0.923,0.923,0.808,0.731,0.731,0.692,0.692,0.692,0.731,0.769,0.769,0.769,0.731,0.731,0.769,0.846,0.846,0.846,0.808,0.731,0.692,0.654,0.654,0.654,0.615,0.654,0.577,0.577,0.462,0.423,0.462,0.423,0.385,0.423,0.5,0.5,0.577,0.654,0.615,0.615,0.615,0.654,0.654,0.692,0.769,0.769,0.731,0.692,0.731,0.769,0.769,0.769,0.769,0.769,0.731,0.731,0.731,0.769,0.769,0.808,0.808,0.846,0.846,0.769,0.769:3
1.038,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.038,1.038,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.038,1.038,1.038,1.077,1.115,1.038,1.038,1.038,1.077,1.115,1.423,1.423,1.423,1.385,1.423,1.385,1.346,1.346,1.308,1.308,1.308,1.308,1.192,1.154,1.154,1.115,1.0,0.962,0.962,0.923,0.885,0.885,0.846,0.769,0.692,0.692,0.692,0.692,0.654,0.654,0.654,0.615,0.615,0.654,0.615,0.615,0.654,0.615,0.615,0.692,0.731,0.615,0.615,0.462,0.346,0.308,0.423,0.5,0.538,0.538,0.577,0.615,0.577,0.577,0.577,0.577,0.538,0.538,0.5,0.5,0.423,0.385,0.462,0.538,0.5,0.5,0.423,0.385,0.346,0.269,0.269,0.269,0.308,0.423,0.462,0.462,0.462,0.5,0.538,0.5,0.423:3
1.0,1.0,1.0,1.0,1.0,1.0,1.115,1.154,1.192,1.269,1.269,1.346,1.462,1.577,1.615,1.615,1.615,1.615,1.577,1.615,1.577,1.5,1.462,1.346,1.269,1.269,1.154,1.038,1.0,1.0,0.962,0.846,0.846,0.769,0.692,0.731,0.731,0.654,0.5,0.423,0.423,0.423,0.385,0.385,0.385,0.385,0.5,0.5,0.577,0.615,0.577,0.615,0.615,0.654,0.654,0.654,0.692,0.769,0.808,0.808,0.808,0.769,0.808,0.769,0.769,0.808,0.846,0.846,0.885,0.885,0.885,0.923,0.962,0.962,0.962,0.923,0.885,0.885,0.885,0.923,0.923,0.923,0.962,1.0,1.038,1.0,0.962,0.962,0.923,0.962,0.962,1.077,1.115,1.077,1.077,0.885:3
0.962,1.0,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.115,1.269,1.269,1.308,1.346,1.346,1.308,1.231,1.231,1.231,1.231,1.231,1.269,1.269,1.231,1.231,1.192,1.154,1.115,1.0,1.0,1.0,1.0,1.0,1.077,1.192,1.192,1.154,1.038,0.962,0.923,0.846,0.808,0.808,0.808,0.769,0.769,0.769,0.692,0.692,0.615,0.538,0.462,0.423,0.423,0.5,0.5,0.577,0.654,0.654,0.692,0.692,0.615,0.615,0.538,0.5,0.538,0.538,0.538,0.538,0.538,0.577,0.654,0.692,0.731,0.769,0.769,0.769,0.808,0.846,0.885,0.885,0.885,0.885,0.846,0.846,0.885,0.923,1.0,1.038,1.077,1.077,1.077,1.038,1.038,1.0,1.0,0.962,0.962,0.962,0.923,0.885,0.846,0.846,0.846,0.846,0.846,0.846,0.808,0.769,0.769,0.769:4
1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.038,1.115,1.308,1.308,1.269,1.269,1.269,1.231,1.192,1.269,1.385,1.538,1.538,1.577,1.577,1.462,1.346,1.231,1.154,1.154,1.115,1.154,1.192,1.231,1.231,1.231,1.192,1.115,1.0,0.923,0.962,0.962,1.0,1.0,0.962,0.962,0.885,0.808,0.808,0.769,0.769,0.769,0.731,0.731,0.692,0.654,0.615,0.5,0.5,0.462,0.423,0.385,0.346,0.346,0.346,0.346,0.423,0.423,0.346,0.346,0.269,0.231,0.192,0.192,0.269,0.269,0.346,0.385,0.462,0.462,0.462,0.462,0.462,0.5,0.577,0.692,0.769,0.731,0.731,0.769,0.769,0.808,0.808,0.885,0.962,0.962,1.077,1.154,1.154,1.192,1.231,1.231,1.154,1.154,1.115,1.038,0.962:4
0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.038,1.154,1.154,1.192,1.192,1.192,1.192,1.192,1.192,1.231,1.269,1.269,1.269,1.231,1.192,1.115,1.115,1.154,1.192,1.192,1.192,1.154,1.154,1.115,1.077,1.077,1.115,1.115,1.192,1.192,1.154,1.077,0.962,0.962,0.885,0.923,0.962,0.962,0.962,0.962,0.923,0.846,0.769,0.654,0.615,0.577,0.577,0.577,0.577,0.577,0.615,0.538,0.462,0.462,0.423,0.308,0.308,0.346,0.385,0.385,0.423,0.423,0.462,0.5,0.5,0.538,0.615,0.615,0.731,0.808,0.808,0.808,0.808,0.846,0.885,0.962,1.038,1.038,1.115,1.231,1.308,1.346,1.385,1.346,1.346,1.269,1.231,1.192,1.154,1.154,1.115,1.115,1.115,1.115,1.038,1.0,0.962,0.923,0.923,0.885,0.885,0.885,0.885,0.885,0.885,0.885,0.846,0.808,0.769,0.731,0.769,0.769,0.846,0.885,0.962,1.038,1.077,1.077,1.077,1.038,1.0,0.962,0.962,0.923,0.923,0.923,0.885,0.885,0.923,0.962,0.962,0.885,0.885,0.846,0.885,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.923,0.962,0.962,1.0,1.038,1.038,1.038,1.038,1.0,1.0,0.923,0.923,0.923,0.923:4
0.962,1.038,0.962,0.962,0.962,0.962,1.0,1.038,1.0,1.0,1.0,1.038,1.038,1.038,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.231,1.231,1.462,1.5,1.462,1.385,1.385,1.269,1.192,1.115,1.038,0.962,0.962,0.962,1.0,1.0,1.038,1.115,1.154,1.115,1.115,1.038,0.923,0.885,0.923,0.962,0.962,0.962,0.923,0.885,0.923,0.962,0.962,0.962,0.885,0.769,0.692,0.692,0.654,0.615,0.615,0.615,0.654,0.692,0.692,0.731,0.731,0.731,0.692,0.692,0.615,0.577,0.577,0.538,0.538,0.615,0.692,0.731,0.769,0.769,0.769,0.769,0.731,0.692,0.731,0.731,0.769,0.769,0.769,0.769,0.731,0.692,0.769,0.808,0.808,0.846,0.885,0.923,0.923,0.962,0.962,0.962,1.0,1.038,1.038,1.077,1.077,1.077,1.077,1.038,0.962,0.923,0.923,0.923,0.885,0.885,0.885,0.885,0.846,0.846,0.846,0.923,0.923,0.923,0.923,0.885,0.885,0.885,0.846:4
1.038,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.077,1.0,1.077,1.269,1.269,1.385,1.462,1.462,1.462,1.423,1.423,1.346,1.308,1.308,1.308,1.346,1.346,1.346,1.308,1.269,1.269,1.269,1.192,1.154,1.115,1.115,1.077,1.077,1.038,1.038,1.0,0.923,0.808,0.692,0.692,0.692,0.654,0.615,0.615,0.615,0.577,0.577,0.538,0.423,0.423,0.346,0.269,0.231,0.231,0.308,0.423,0.423,0.5,0.577,0.577,0.615,0.577,0.577,0.615,0.615,0.615,0.615,0.615,0.615,0.615,0.654,0.731,0.769,0.808,0.808,0.808,0.808,0.808,0.808,0.769,0.731,0.731,0.731,0.769,0.846,0.923,0.962,0.962,1.038,1.154,1.269,1.308,1.269,1.231,1.231,1.231,1.192,1.077,0.962,0.885,0.846,0.846,0.885,0.885,0.846,0.846,0.808,0.769,0.769,0.769,0.808,0.808,0.846,0.885,0.885,0.885,0.923,0.885,0.885,0.885,0.885,0.885,0.885,0.885,0.846,0.846,0.846,0.846,0.846,0.885,0.885,0.923,0.923,0.923,0.885,0.808,0.769,0.769,0.808,0.808,0.846,0.885,0.885:4
1.0,1.0,1.038,0.923,0.962,1.0,1.0,1.0,1.0,1.038,0.962,1.0,1.038,1.038,1.0,1.0,0.962,1.0,1.115,1.269,1.385,1.577,1.577,1.615,1.538,1.5,1.538,1.577,1.577,1.577,1.577,1.462,1.308,1.154,1.038,1.0,0.962,0.846,0.846,0.846,0.923,1.0,1.038,1.0,1.0,0.962,0.962,0.923,0.846,0.846,0.846,0.808,0.808,0.769,0.769,0.769,0.731,0.731,0.615,0.577,0.577,0.577,0.577,0.615,0.577,0.538,0.615,0.692,0.731,0.692,0.692,0.615,0.615,0.5,0.423,0.423,0.462,0.538,0.538,0.615,0.654,0.615,0.538,0.5,0.538,0.615,0.731,0.846,0.962,1.0,1.038,1.038,1.0,0.846,0.808,0.808,0.769,0.731,0.731,0.769,0.769,0.769,0.808,0.808,0.615,0.538,0.538,0.5,0.5,0.538:5
1.0,0.962,1.0,1.0,0.962,0.962,1.0,1.038,1.038,1.038,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.846,0.846,1.077,1.385,1.538,1.577,1.615,1.615,1.615,1.654,1.692,1.692,1.615,1.462,1.308,1.192,1.154,1.115,1.115,1.077,1.115,1.192,1.231,1.192,1.192,1.115,1.0,0.846,0.731,0.731,0.731,0.808,0.885,0.962,0.962,0.808,0.808,0.731,0.692,0.538,0.5,0.5,0.5,0.5,0.423,0.269,0.154,0.038,0.038,-0.077,-0.192,-0.231,-0.192,-0.038,0.115,0.115,0.269,0.308,0.192,0.077,0.077,-0.038,-0.038,-0.038,0.0,0.038,0.154,0.269,0.385,0.385,0.462,0.423,0.346,0.231,0.115,0.038,0.038,0.038,0.192,0.385,0.577,0.808,0.962,0.962,1.038,0.962,0.846,0.769,0.808,0.885,1.0,1.077,1.115,1.115,1.077,1.038,0.923,0.769,0.769,0.615,0.538,0.538,0.654,0.769,0.769,0.846,0.885,0.846,0.769,0.692,0.692,0.692,0.654,0.654,0.615,0.615,0.654,0.692,0.692,0.654,0.615,0.615,0.615,0.692,0.885,1.038:5
1.038,1.154,0.846,0.885,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.077,1.385,1.615,1.615,1.654,1.654,1.654,1.538,1.5,1.462,1.385,1.385,1.346,1.346,1.385,1.423,1.308,1.308,1.192,1.077,0.962,0.923,0.923,1.0,1.0,1.038,1.038,1.038,0.808,0.692,0.615,0.654,0.654,0.692,0.692,0.692,0.654,0.462,0.462,0.385,0.346,0.385,0.385,0.577,0.577,0.692,0.769,0.808,0.808,0.731,0.654,0.615,0.538,0.5,0.462,0.462,0.5,0.615,0.731,0.846,0.846,0.846,0.615,0.5,0.5,0.462,0.538,0.654,0.769,0.846,0.846,0.923,0.923,0.885,0.885,0.846,0.846,0.846,0.846,0.846,0.846,0.885,0.885,0.923,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.808,0.769,0.769,0.692,0.692:5
1.0,1.0,1.0,0.962,0.962,0.923,0.962,0.962,0.962,0.962,1.038,1.115,1.154,1.308,1.385,1.462,1.462,1.577,1.692,1.654,1.615,1.615,1.615,1.615,1.577,1.577,1.5,1.462,1.346,1.346,1.269,1.154,1.192,1.192,1.154,1.077,1.0,0.846,0.846,0.692,0.692,0.692,0.692,0.692,0.615,0.615,0.654,0.577,0.577,0.231,0.077,0.0,0.0,0.038,0.038,0.038,0.038,0.038,0.038,0.115,0.231,0.346,0.423,0.462,0.538,0.615,0.615,0.538,0.577,0.577,0.769,0.885,0.885,0.885,0.769,0.769,0.654,0.577,0.538,0.538,0.538,0.538,0.615,0.731,0.808,0.808,0.769,0.769,0.769,0.731:5
0.962,0.923,0.923,0.923,0.962,0.962,1.0,1.038,1.038,1.0,1.0,1.0,1.077,1.346,1.462,1.5,1.5,1.5,1.5,1.538,1.577,1.577,1.577,1.577,1.538,1.5,1.538,1.538,1.462,1.385,1.269,1.115,1.154,1.154,1.154,1.115,1.0,0.923,0.885,0.846,0.769,0.769,0.654,0.538,0.462,0.385,0.385,0.385,0.423,0.462,0.538,0.5,0.5,0.423,0.385,0.308,0.269,0.269,0.385,0.385,0.385,0.346,0.346,0.346,0.346,0.346,0.308,0.346,0.462,0.577,0.692,0.692,0.769,0.808,0.846,0.846,0.808,0.808,0.692,0.654,0.654,0.692,0.808,0.808,0.923,1.0,1.038,1.077,1.038,1.038,0.962,0.923:5
1.0,1.0,1.0,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.038,1.038,1.038,1.038,1.385,1.5,1.423,1.385,1.385,1.385,1.462,1.5,1.538,1.5,1.5,1.577,1.692,1.731,1.692,1.692,1.654,1.577,1.5,1.5,1.346,1.308,1.269,1.308,1.346,1.231,1.038,1.038,0.885,0.769,0.769,0.846,0.923,0.846,0.846,0.692,0.538,0.538,0.577,0.615,0.577,0.577,0.5,0.308,0.308,0.269,0.231,0.231,0.231,0.231,0.231,0.231,0.269,0.231,0.192,0.231,0.231,0.231,0.269,0.269,0.308,0.423,0.462,0.462,0.5,0.538,0.538,0.577,0.615,0.615,0.615:6
0.923,1.0,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.038,1.346,1.538,1.615,1.615,1.692,1.808,1.846,1.808,1.769,1.731,1.731,1.692,1.692,1.577,1.5,1.423,1.423,1.346,1.269,1.154,1.077,0.923,0.769,0.769,0.615,0.5,0.423,0.385,0.462,0.538,0.538,0.5,0.423,0.308,0.192,0.115,0.115,0.192,0.308,0.308,0.231,0.231,0.231,0.269,0.346,0.462,0.5,0.5,0.5,0.462,0.462,0.5,0.577,0.654,0.654,0.731,0.769,0.846,0.923,0.923,1.0,1.038,1.0,0.923,0.923,0.923,0.885,0.885,0.885,0.923,0.962,1.0,1.0,0.962:6
0.923,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,1.0,0.962,0.962,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.077,1.385,1.5,1.692,1.885,2.038,2.154,2.154,2.038,2.038,1.923,1.885,1.885,1.962,2.0,1.885,1.692,1.692,1.385,1.192,0.962,0.731,0.577,0.385,0.385,0.192,0.038,-0.115,-0.192,-0.269,-0.269,-0.231,-0.154,-0.154,-0.154,-0.154,-0.077,-0.077,-0.038,0.038,0.192,0.269,0.269,0.346,0.423,0.5,0.577,0.692,0.769,0.769,0.846,0.885,0.923:6
0.808,0.962,0.962,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.038,1.5,1.846,2.077,2.192,2.154,2.154,2.038,1.885,1.923,1.846,1.769,1.731,1.731,1.692,1.692,1.538,1.346,1.269,1.115,1.0,0.923,0.923,0.731,0.538,0.385,0.269,0.346,0.615,0.615,0.654,0.5,0.308,0.231,0.192,0.231,0.231,0.269,0.231,0.154,0.038,0.0,-0.038,-0.038,-0.038,0.0,0.077,0.154,0.154,0.154,0.154,0.154,0.192,0.269,0.308,0.423,0.538,0.538,0.692,0.769,0.808,0.846,0.846,0.846,0.808,0.808,0.808,0.808,0.885,0.885,0.885,0.923,0.923,0.885,0.846,0.846,0.808,0.808,0.808,0.808,0.769,0.808,0.808,0.808,0.846,0.808,0.808,0.808,0.808,0.808,0.846,0.885,0.962,0.962,0.962,0.923,0.846,0.808,0.808,0.808,0.846,0.846,0.846,0.846,0.846,0.808:6
1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,0.962,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.154,1.154,1.423,1.654,1.962,2.077,2.115,2.115,2.038,1.846,1.692,1.577,1.538,1.5,1.5,1.462,1.577,1.615,1.538,1.308,1.308,1.038,0.846,0.731,0.654,0.615,0.538,0.423,0.423,0.346,0.385,0.423,0.462,0.346,0.346,0.231,0.115,0.115,0.115,0.115,0.154,0.154,0.154,0.154,0.115,0.115,0.154,0.192,0.192,0.269,0.346,0.385,0.423,0.423,0.462,0.577,0.654,0.692,0.731,0.769,0.808,0.808,0.808,0.846,0.923,0.962,0.962,0.962,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962:6
0.846,0.962,0.962,1.038,1.038,1.038,1.077,1.038,1.115,1.115,1.038,1.038,0.962,1.038,1.462,1.577,1.462,1.462,1.462,1.577,1.577,1.462,1.346,1.346,1.269,1.308,1.308,1.231,1.115,1.0,1.0,1.038,1.077,1.0,0.885,0.846,0.808,0.808,0.769,0.731,0.692,0.654,0.654,0.654,0.654,0.615,0.615,0.615,0.615,0.615,0.615,0.577,0.615,0.731,0.769,0.692,0.692,0.692,0.654,0.654,0.769,0.846,0.923,0.962,0.962,0.962,0.885,0.808,0.808,0.808,0.808,0.885,0.923,0.885,0.885,0.923,0.962,0.962,1.0:7
0.962,0.962,0.923,1.077,1.077,1.038,1.0,1.038,1.154,1.308,1.308,1.385,1.385,1.385,1.462,1.577,1.577,1.577,1.462,1.308,1.231,1.192,1.192,1.231,1.192,1.154,1.038,0.923,0.923,0.885,0.885,0.885,0.885,0.846,0.846,0.885,0.885,0.846,0.769,0.769,0.731,0.692,0.769,0.846,0.808,0.808,0.731,0.731,0.692,0.692,0.692,0.692,0.692,0.654,0.654,0.615,0.615,0.615,0.615,0.615,0.615,0.615,0.654,0.692,0.692,0.692,0.769:7
0.846,0.923,0.923,0.962,1.0,1.077,1.038,1.077,1.077,1.154,1.192,1.423,1.538,1.577,1.577,1.538,1.462,1.346,1.192,1.231,1.231,1.269,1.269,1.269,1.269,1.269,1.269,1.269,1.077,0.923,0.808,0.808,0.846,0.846,0.885,0.923,0.846,0.846,0.846,0.846,0.808,0.731,0.692,0.615,0.615,0.615,0.615,0.692,0.731,0.731,0.731,0.654,0.615,0.654,0.731,0.769,0.769,0.769,0.692,0.692,0.692,0.731,0.769,0.769,0.885,1.038,1.038,1.115,1.0,0.846,0.692,0.615,0.692,0.769,0.769,0.846,0.846,0.923,0.962,1.038,1.115,1.115,1.192,1.192:7
1.077,1.038,0.962,0.923,0.923,0.962,1.0,1.0,1.077,1.231,1.385,1.385,1.462,1.538,1.538,1.5,1.346,1.346,1.308,1.231,1.192,1.231,1.269,1.269,1.269,1.231,1.231,1.115,1.038,1.0,1.0,0.923,0.962,0.923,0.962,0.846,0.808,0.808,0.846,0.846,0.846,0.846,0.808,0.808,0.808,0.769,0.692,0.692,0.615,0.538,0.462,0.462,0.538,0.615,0.615,0.731,0.769,0.769,0.731,0.654,0.654,0.654,0.654,0.692,0.692,0.731,0.808,0.923,0.962,0.962,0.962,0.923,0.885,0.808,0.769:7
0.962,1.115,1.038,1.038,1.0,0.962,1.0,1.0,1.038,1.038,1.038,1.038,1.038,0.962,0.962,0.962,0.962,0.923,1.0,1.115,1.038,1.038,1.038,1.231,1.385,1.385,1.385,1.346,1.308,1.269,1.269,1.269,1.308,1.269,1.192,1.192,1.115,1.115,1.038,0.962,0.846,0.885,0.885,0.885,0.923,0.923,0.846,0.846,0.808,0.808,0.769,0.769,0.769,0.731,0.615,0.615,0.538,0.615,0.615,0.654,0.808,0.808,0.731,0.769,0.731,0.654,0.654,0.692,0.692,0.769,0.769,0.846,0.808,0.769,0.769,0.769,0.769,0.885,0.923,0.923,0.923,0.846,0.846,1.0,1.192,1.231:7
1.846,1.615,1.577,1.577,1.538,1.538,1.538,1.423,1.231,1.077,1.077,1.038,1.077,1.038,0.923,0.808,0.808,0.654,0.538,0.5,0.423,0.462,0.462,0.538,0.654,0.692,0.654,0.615,0.577,0.577,0.538,0.577,0.615,0.731,0.808,0.808,0.769:8
0.731,0.692,0.692,0.692,0.692,0.654,0.654,0.654,0.654,0.654,0.654,0.692,0.731,0.769,0.846,0.846,0.885,0.885,0.885,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.846,0.885,0.885,0.962,0.962,0.962,0.962,1.0,0.962,0.923,0.923,0.923,0.962,0.962,1.0,1.077,1.115,1.077,1.077,1.077,1.038,1.0,0.962,0.962,0.962,0.962,1.0,1.038,1.038,1.038,1.038,1.038,1.038,1.038,1.038,1.038,1.038,1.038,1.0,1.0,1.038,0.962:8
1.5,1.615,1.654,1.577,1.423,1.269,1.269,1.192,1.192,1.192,1.192,1.269,1.269,1.308,1.231,1.154,1.0,0.846,0.769,0.769,0.769,0.808,0.846,0.808,0.769,0.769,0.731,0.692,0.654,0.615,0.615,0.615,0.615,0.654,0.654,0.692,0.692,0.654:8
0.692,0.615,0.5,0.423,0.423,0.423,0.5,0.654,0.731,0.808,0.808,0.885,0.885,0.769,0.692,0.654,0.615,0.615,0.615,0.692,0.769,0.808,0.808,0.769,0.808,0.808,0.808,0.885,0.923,0.962,0.962,0.923,0.846,0.846,0.846,0.846,0.885,0.923,0.923,0.923,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.038,1.038,1.038,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.038,1.038,1.038,1.038,1.038,1.038,1.077,1.115,1.115:8
1.577,1.385,1.269,1.231,1.231,1.192,1.192,1.154,1.038,0.923,0.846,0.808,0.769,0.615,0.615,0.5,0.538,0.538,0.692,0.769,0.808,0.885,0.846,0.692,0.462,0.462,0.231,0.115,0.077,0.154,0.346,0.577,0.769,0.885,0.885,0.885,0.808,0.692,0.615,0.538,0.615,0.692,0.846,0.962,0.962,1.0,0.962,0.923,0.923,0.923,0.923,0.923,0.923,0.962,1.038,1.038,1.0,1.0,0.962,0.923,0.923,0.885,0.885,0.885,0.923,1.0,0.962,0.962,0.962,0.962,1.0,0.962,1.0,0.962,1.038,1.154:8
1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,1.0,0.962,1.0,1.038,1.038,0.962,0.962,0.923,0.923,0.962,1.0,1.0,1.0,1.0,1.038,1.077,1.077,1.077,1.077,1.077,1.115,1.346,1.538,1.538,1.615,1.615,1.538,1.538,1.5,1.462,1.462,1.385,1.269,1.077,0.846,0.692,0.654,0.654,0.769,0.808,0.885,0.962,1.038,1.038,0.962,0.962,0.846,0.692,0.538,0.5,0.462,0.385,0.385,0.346,0.462,0.538,0.538,0.577,0.654,0.654,0.615,0.538,0.5,0.5,0.462,0.462,0.423,0.385,0.346,0.346,0.423,0.423,0.577,0.731,0.808,0.885,0.962,1.0,1.0,1.0,0.923,0.962,1.038,1.154,1.154,1.154,1.115,1.077,1.077,1.077,1.154,1.154,1.115,1.115,1.115,1.077,1.077,1.038,1.038,1.115,1.154,1.115,1.115,1.115,1.115,1.115,1.115,1.115,1.115,1.077,1.077,1.038,1.038,1.038,1.115,1.115,1.077,1.077,1.0,0.962,0.923,0.885,0.885,0.885,0.885,0.923,1.0,1.0,1.038,1.038,1.077,1.038,1.038,1.038,1.038,1.038,1.038,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,1.038,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,0.923,0.923,0.923,0.923,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.038,1.077,1.115,1.077,1.077,1.038,1.0:9
1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,0.962,1.0,0.962,0.962,0.962,1.0,1.0,0.962,1.0,1.0,1.0,0.962,1.0,1.0,1.0,1.0,0.962,0.885,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.038,1.154,1.192,1.115,1.154,1.346,1.346,1.462,1.538,1.654,1.692,1.654,1.538,1.423,1.231,1.231,1.077,1.0,0.962,0.923,0.923,0.962,0.962,0.885,0.846,0.769,0.769,0.731,0.692,0.654,0.615,0.615,0.615,0.577,0.577,0.538,0.5,0.5,0.423,0.385,0.385,0.423,0.5,0.5,0.538,0.577,0.538,0.423,0.346,0.346,0.346,0.462,0.577,0.769,0.885,0.885,0.923,0.885,0.846,0.846,0.846,0.846,0.923,0.962,0.962,0.923,0.846,0.885,0.885,0.962,1.0,1.0,0.962,1.0,1.038,1.038,1.154,1.038,0.962,0.923,1.0,1.0,1.038,1.0,0.923,0.923,0.885,0.962,0.962,1.038,1.038,1.0,1.0,1.0,0.962,0.962,0.923,0.885,0.885,0.923,0.923,0.962,1.0,1.0,1.0,0.962,0.962,0.962,0.923,0.885,0.885,0.885,0.885,0.885,0.923,0.962,0.962,0.962,0.962,0.962,0.923,0.923,0.923,0.923,0.923,0.885,0.885,0.923,0.962,0.923,0.923,0.923,0.962,0.923,0.923,0.923,0.923,0.923,0.923,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,0.962,0.962,0.962,0.923,0.885,0.885,0.923,0.923,0.923,0.962,0.962,0.962,0.962,0.923,0.923,0.962,0.923,0.923,0.923,0.962,0.923,0.962,1.0,1.0,1.0,1.0:9
0.923,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.038,1.038,1.038,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.077,1.154,1.192,1.308,1.308,1.308,1.269,1.269,1.385,1.462,1.538,1.538,1.538,1.5,1.423,1.346,1.269,1.192,1.192,1.115,1.077,1.077,1.077,1.0,1.0,0.885,0.769,0.692,0.615,0.654,0.654,0.615,0.615,0.654,0.615,0.615,0.538,0.462,0.385,0.346,0.346,0.346,0.346,0.385,0.423,0.462,0.462,0.5,0.538,0.538,0.538,0.538,0.538,0.538,0.615,0.692,0.769,0.769,0.885,1.0,1.038,1.038,1.0,1.0,1.0,1.038,1.115,1.154,1.154,1.231,1.269,1.231,1.154,1.154,1.154,1.154,1.115,1.115,1.077,1.077,1.077,1.115,1.231,1.269,1.308,1.269,1.269,1.269,1.231,1.192,1.154,1.115,1.038,1.077,1.038,1.038,1.038,1.0,1.038,1.038,1.038,1.0,1.0,0.923,0.885,0.885,0.885,0.885,0.885,0.885,0.885,0.923,0.923,0.923,0.885,0.846,0.846,0.846,0.846,0.846,0.808,0.808,0.846,0.885,0.885,0.885,0.923,0.962,0.962,1.0,1.0,1.0,1.038,1.0,0.962,0.962,0.962,0.962,0.962,1.038,1.115,1.115,1.154,1.192:9
1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,1.0,1.0,0.923,0.962,1.038,1.038,1.077,1.077,1.115,1.115,1.115,1.192,1.385,1.423,1.462,1.462,1.5,1.5,1.538,1.577,1.577,1.577,1.5,1.5,1.462,1.346,1.231,1.115,1.115,1.154,1.154,1.115,1.038,0.923,0.846,0.846,0.808,0.692,0.5,0.346,0.231,0.154,0.154,0.115,0.115,0.115,0.192,0.192,0.192,0.154,0.231,0.346,0.308,0.269,0.269,0.308,0.385,0.462,0.538,0.538,0.577,0.538,0.577,0.615,0.654,0.692,0.692,0.769,0.846,0.962,1.0,1.0,1.038,1.038,1.077,1.077,1.077,1.077,1.077,1.077,1.077,1.077,1.154,1.192,1.231,1.231,1.154,1.154,1.115,1.038,1.038,1.077,1.077,1.077,1.077,1.077,1.038,0.962,0.923,0.923,0.962,1.038,1.077,1.115,1.154,1.154,1.115,1.077,1.038,1.038,1.038,1.038,1.038,1.0,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.962,0.923,0.962,0.962,1.0,1.0,0.962,0.962,0.923,0.923,0.923,0.923,0.962,0.962,1.0,1.0,1.0,1.0,1.0,0.962,1.0,0.962,0.962,0.923,0.962,0.962,0.962,0.962,1.038,1.038,1.038,1.0,1.0,1.0,1.0,1.0,0.962,0.962,1.0,0.962,0.962,0.962,1.0,1.0,1.0,1.0,1.0,1.0,0.962,0.923,0.923,0.962,0.962,0.962,0.962,0.923,0.923,0.962,0.962,0.923,0.962,0.962,0.962,1.0,1.0,1.038,1.038,1.038:9
1.115,1.115,1.038,1.038,1.0,0.962,0.962,0.962,1.038,1.0,1.0,1.0,0.962,0.962,0.962,0.962,1.0,1.038,1.115,1.115,1.192,1.192,1.192,1.423,1.5,1.5,1.423,1.308,1.192,1.192,1.154,1.115,1.154,1.192,1.154,1.154,1.038,0.923,0.885,0.885,0.885,0.885,0.923,0.962,0.962,1.0,0.962,0.846,0.769,0.731,0.731,0.731,0.731,0.731,0.692,0.692,0.654,0.615,0.615,0.615,0.615,0.654,0.654,0.654,0.654,0.654,0.654,0.615,0.615,0.615,0.615,0.615,0.615,0.615,0.654,0.731,0.731,0.808,0.808,0.846,0.846,0.885,0.885,0.885,0.962,1.0,1.0,1.038,1.077,1.077,1.115,1.154,1.192,1.192,1.154,1.154,1.192,1.154,1.154,1.154,1.154,1.154,1.154,1.154,1.115,1.038,1.038,1.038,1.077,1.077,1.077,1.038,1.038,1.038,1.038,1.038,1.0,1.0,0.962,0.923,0.923,0.885,0.846,0.846,0.885,0.923,0.923,0.962,0.962,0.962,0.923,0.923,0.923,0.923,0.962,0.962,0.962,1.0,1.0,1.0,1.0,0.962,0.962,0.962,0.962,0.962,0.962,1.0,0.962,0.962,0.962,0.962,0.962,1.0,1.0,1.038,1.077,1.038:9
0.115,0.038,0.115,0.192,0.115,0.115,0.038,0.077,0.154,0.308,0.346,0.308,0.308,0.269,0.269,0.269,0.269,0.231,0.231,0.154,0.192,0.269,0.308,0.269,0.269,0.269,0.308,0.269,0.308,0.346,0.346,0.346,0.346,0.346,0.423,0.423,0.423,0.423,0.423,0.423,0.423,0.423,0.423,0.423,0.462,0.462,0.385,0.269,0.231,0.231,0.231,0.346,0.462,0.538,0.577,0.615,0.615,0.615,0.5,0.269,0.115,0.192,0.192,0.346,0.5,0.5,0.5,0.5,0.5,0.5,0.538,0.5,0.385,0.308,0.308,0.308,0.308,0.423,0.577,0.808,1.038,1.038,1.269,1.346,1.308,1.192,1.038,0.846,0.846,0.731,0.654,0.654,0.654,0.731,0.731,0.769,0.769,0.769,0.808,0.808,0.846,0.846,0.846,0.923,0.923,0.962,0.962,0.962,0.962,0.962,0.923,0.885,0.885,0.846,0.808,0.846,0.885,0.923,0.923,0.923,0.885,0.808,0.731,0.731,0.769:10
-0.077,0.192,0.192,0.115,0.115,0.115,0.154,0.154,0.154,0.077,0.077,0.077,0.077,0.115,0.038,0.038,0.077,0.077,0.115,0.038,0.038,0.038,0.038,0.038,0.038,0.077,0.077,0.038,0.038,0.038,0.038,0.038,0.038,0.077,0.115,0.115,0.154,0.192,0.231,0.231,0.231,0.231,0.269,0.269,0.269,0.192,0.192,0.154,0.192,0.231,0.231,0.346,0.346,0.308,0.231,0.154,0.154,0.154,0.154,0.231,0.269,0.423,0.423,0.5,0.538,0.5,0.462,0.346,0.308,0.308,0.308,0.308,0.346,0.423,0.538,0.5,0.5,0.423,0.385,0.385,0.423,0.462,0.423,0.423,0.269,-0.038,-0.269,-0.385,-0.423,-0.423,-0.385,-0.231,0.0,0.154,0.231,0.269,0.269,0.231,0.192,0.231,0.231,0.231,0.231,0.269,0.308,0.385,0.423,0.423,0.423,0.5,0.654,0.808,0.962,1.077,1.115,1.115,1.154,1.115,1.077,1.038,0.923,0.923,0.885,0.808,0.731,0.692,0.692,0.692,0.731,0.769,0.846,0.846,0.846,0.885,0.846,0.808,0.769,0.769,0.731,0.692,0.692,0.692,0.731,0.769,0.769,0.808,0.846,0.885,0.885,0.885,0.885,0.885,0.885,0.885,0.923,0.923,1.0,1.0,1.0,0.962,0.962,0.962,0.923,0.731:10
0.154,0.192,0.115,0.115,0.115,0.115,0.192,0.192,0.231,0.231,0.308,0.308,0.231,0.192,0.192,0.231,0.231,0.269,0.231,0.231,0.231,0.231,0.269,0.269,0.269,0.231,0.192,0.192,0.192,0.192,0.192,0.269,0.308,0.385,0.385,0.385,0.346,0.192,0.077,-0.038,-0.038,0.038,0.192,0.346,0.462,0.423,0.423,0.385,0.308,0.192,0.115,0.115,0.115,0.192,0.269,0.308,0.308,0.269,0.154,0.154,0.077,0.077,0.038,-0.038,-0.115,-0.192,-0.192,-0.231,-0.231,-0.192,-0.154,-0.077,-0.077,-0.115,-0.154,-0.154,-0.154,-0.154,-0.231,-0.231,-0.231,-0.192,-0.192,-0.192,-0.154,-0.077,-0.038,0.0,0.0,0.0,0.0,0.038,0.115,0.192,0.269,0.269,0.308,0.346,0.346,0.346,0.346,0.346,0.385,0.385,0.346,0.346,0.269,0.269,0.269,0.269,0.269,0.231,0.192,0.077,0.077,0.038,0.077,0.115,0.154,0.154,0.154:10
0.077,0.077,0.077,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.038,0.077,0.077,0.038,0.038,0.038,0.038,0.038,0.038,0.077,0.115,0.115,0.115,0.115,0.154,0.154,0.192,0.192,0.192,0.192,0.192,0.154,0.192,0.269,0.231,0.192,0.192,0.192,0.269,0.308,0.385,0.346,0.269,0.269,0.231,0.154,0.192,0.231,0.308,0.346,0.346,0.462,0.5,0.5,0.423,0.346,0.269,0.269,0.231,0.231,0.269,0.346,0.385,0.385,0.423,0.346,0.269,0.231,0.115,0.115,0.077,0.038,0.038,0.038,0.038,0.038,0.077,0.077,0.115,0.077,0.0,-0.077,-0.077,-0.115,-0.077,-0.038,0.0,0.077,0.077,0.077,0.077,0.038,0.154,0.308,0.308,0.423,0.423,0.385,0.385,0.385,0.423,0.462,0.462,0.5,0.538,0.577,0.654,0.692,0.769,0.769,0.769,0.769,0.654,0.615:10
-0.115,0.0,0.077,0.077,0.038,0.038,0.0,0.0,0.0,-0.038,0.0,-0.038,-0.038,0.0,0.038,0.038,0.154,0.192,0.192,0.115,0.038,0.0,0.0,0.038,0.154,0.154,0.231,0.269,0.269,0.231,0.154,0.154,0.038,0.077,0.115,0.192,0.231,0.269,0.269,0.385,0.308,0.346,0.269,0.231,0.231,0.231,0.192,0.154,0.077,0.077,0.115,0.115,0.192,0.308,0.346,0.346,0.308,0.231,0.077,0.0,0.038,0.038,0.077,0.154,0.231,0.269,0.269,0.269,0.269,0.231,0.077,0.038,0.0,0.0,0.077,0.077,0.192,0.308,0.346,0.385,0.346,0.269,0.192,0.192,0.192,0.192,0.231,0.269,0.308,0.308,0.308,0.231,0.154,0.115,0.115,0.115,0.154,0.231,0.308,0.308,0.269,0.231,0.231,0.269,0.269,0.308,0.423,0.5,0.5,0.5,0.462,0.269,0.231,0.269,0.423,0.423,0.5,0.5,0.5,0.462,0.346,0.346,0.269,0.308,0.346,0.462,0.654,0.654,0.885,1.0,0.923,0.731,0.577,0.5,0.5,0.5,0.538,0.692,0.808,0.808,0.808,0.769,0.692,0.577,0.538,0.577,0.577,0.615,0.654,0.654,0.692,0.692,0.692,0.654,0.654,0.692,0.769,0.769,0.808,0.808,0.846,0.885,0.808,0.731,0.731,0.731,0.692:10
